How to get RPTools source via Eclipse and subversion

Progress reports and musings from the developers on the current gaming tools.

Moderators: dorpond, trevor, Azhrei

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

Post by dLANbandit »

never mind found it in the doc. SDK version. Getting it now.

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

error

Post by dLANbandit »

While using eclipse I keep getting this error. I also keep hitting accept permanently. What is up with that?


Error validating server certificate for https://svn.sourceforge.net:443:
- Unknown certificate issuer
Fingerprint: 49:b8:cb:87:04:8c:49:39:45:83:dd:4c:cf:c7:54:57:b0:9e:84:5d
Distinguished name: Equifax Secure Certificate Authority, Equifax, US

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

Post by dLANbandit »

OK after a ton of those windows, I now have maptools and others tools ready for me to try building them.

So I'm looking at the run/build button in eclipse, and it appears to have auto imported some sort of build scripts from SVN. But I've tried a bunch of them labeled MapTools and none of them work for me.

How do I do a build of MT with Eclipse? I assume I need to build, so I can do testing.

i've never used SVN or eclipse. Sorry I'm newbish

Phergus
Deity
Posts: 7132
Joined: Fri May 12, 2006 8:56 pm
Location: Middle of Nowhere, NM
Contact:

Post by Phergus »

Eclipse, by default, autobuilds any projects in the current workspace.

If there are any red x's in the Problems tab (should be in the bottom of the workspace) then those have to be resolved before you can go further.

You should be able to load the main class MapTool.java and from the Run menu choose Run As... Java Application. If it doesn't run then you have issues. :)

User avatar
trevor
Codeum Arcanum (RPTools Founder)
Posts: 11311
Joined: Mon Jan 09, 2006 4:16 pm
Location: Austin, Tx
Contact:

Post by trevor »

dLANbandit wrote:So I'm looking at the run/build button in eclipse, and it appears to have auto imported some sort of build scripts from SVN. But I've tried a bunch of them labeled MapTools and none of them work for me.


Could you define "none of them work for me" ? What message are you getting ? Or no message at all.

First off check that the src roots are set up correctly. In the package explorer, expand the MapTool root, if the folders under it are "Tags, Branches, and Trunk" you checked out the directory above what you need. Delete it and check out the "Trunk" directory only.
Dreaming of a 1.3 release

Phergus
Deity
Posts: 7132
Joined: Fri May 12, 2006 8:56 pm
Location: Middle of Nowhere, NM
Contact:

Post by Phergus »

I just updated the source tree and for some reason Eclipse was whining about libraries. In particular:

jide-common-1.9.4_7.jar
jide-dock-1.9.4_7.jar
renderpack-1.2004.jar
rplib-1.0.b75.jar

All of these where in the build path of the project as jar files but apparently that wasn't good enough. I had to add a user library, add the four files to the user lib and that made it work.

Bandit - Did you get your Eclipse from the Eclipse.org site? I believe the current rev is 3.2.1.

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

Post by dLANbandit »

I have the 3.2.1

The error is Default target dist does not exist in this project.

and a warning

cannot fine ../common.build.common-webstart-targets.xml imported from C:\Documents and Settings\Cary\workspace\maptool\trunk\build.xml


I've tried run as, it keeps telling me to pick one of the configurations called MapTools, and when I do it says the project doesn't exist.

User avatar
trevor
Codeum Arcanum (RPTools Founder)
Posts: 11311
Joined: Mon Jan 09, 2006 4:16 pm
Location: Austin, Tx
Contact:

Post by trevor »

What's the name of your top level maptool directory (project name) ?
Dreaming of a 1.3 release

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

Post by dLANbandit »

maptool [maptool]

I think. It has in it
branches
tags
trunk

in trunk is
conf
lib
resource
src
tests

in src is
net/rptools/maptool/client/

and in there is the MapTool.java I was trying to run as a java project.

User avatar
trevor
Codeum Arcanum (RPTools Founder)
Posts: 11311
Joined: Mon Jan 09, 2006 4:16 pm
Location: Austin, Tx
Contact:

Post by trevor »

Ahh, there's the problem. See my earlier post:

trevor wrote:First off check that the src roots are set up correctly. In the package explorer, expand the MapTool root, if the folders under it are "Tags, Branches, and Trunk" you checked out the directory above what you need. Delete it and check out the "Trunk" directory only.


That will fix it
Dreaming of a 1.3 release

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

Post by dLANbandit »

ah thanks... told you I'm newbish. And apparently blind.

User avatar
dLANbandit
Dragon
Posts: 636
Joined: Wed Dec 13, 2006 10:43 pm

Post by dLANbandit »

Well here is my new problem after setting up maptools/trunk as the maptool project in eclipse. Either I'm stupid, this isn't automatic or I've got a bit of a problem with Eclipse's checkout of the trunk.


Severity and Description Path Resource Location Creation Time Id
Project maptool is missing required Java project: 'rplib' maptool Build path 1169527703828 7
Project maptool is missing required library: 'lib/abeille-formsrt-2.0.jar' maptool Build path 1169527703828 11
Project maptool is missing required library: 'lib/clientserver-1.0.b11.jar' maptool Build path 1169527703828 14
Project maptool is missing required library: 'lib/commons-logging-1.1.jar' maptool Build path 1169527703828 16
Project maptool is missing required library: 'lib/hessian-2.1.12.jar' maptool Build path 1169527703828 9
Project maptool is missing required library: 'lib/jide-common-1.9.4_7.jar' maptool Build path 1169527703828 18
Project maptool is missing required library: 'lib/jide-dock-1.9.4_7.jar' maptool Build path 1169527703828 19
Project maptool is missing required library: 'lib/maptool.resource-1.0.b4.jar' maptool Build path 1169527703828 15
Project maptool is missing required library: 'lib/renderpack-1.2004.jar' maptool Build path 1169527703828 17
Project maptool is missing required library: 'lib/rplib-1.0.b75.jar' maptool Build path 1169527703828 20
Project maptool is missing required library: 'lib/rplib.resource-1.0.b9.jar' maptool Build path 1169527703828 13
Project maptool is missing required library: 'lib/servicediscoverylib-1.0.b2.jar' maptool Build path 1169527703828 10
Project maptool is missing required library: 'lib/tinylaf-1.3.04.jar' maptool Build path 1169527703828 12
Project maptool is missing required library: 'lib/withay-util.jar' maptool Build path 1169527703828 8
The project cannot be built until build path errors are resolved maptool Unknown 1169527704171 21

Phergus
Deity
Posts: 7132
Joined: Fri May 12, 2006 8:56 pm
Location: Middle of Nowhere, NM
Contact:

Post by Phergus »

Those libraries (jar files) should be in the maptools/lib directory after the checkout of the trunk source.

If you look up a couple posts you'll see that I had the same problem but with a smaller set of them.

I don't know what is different about the RPTools projects from other subversion based source I've checked out but I frequently seem to have problem with the MapTools project not being able to find libraries that are in the exact path it is looking for them in. <shrug>

You can fix this by going into the Properties for the MapTool project and going into the Java Build Path section and the Libraries tab. Add a User Library and give it whatever name you want. Then add the "missing" jars to that User Library. That should fix it.

User avatar
trevor
Codeum Arcanum (RPTools Founder)
Posts: 11311
Joined: Mon Jan 09, 2006 4:16 pm
Location: Austin, Tx
Contact:

Post by trevor »

Worked with bandit on this one on IM. Basically eclipse sometimes gets confused, I had him change the order of one of the libraries in the classpath to force eclipse to rebuild the classpath, and that fixed the problem.

Additionally, I had accidentally checked in a classpath that depended on the rplib project, which doesn't exist if you don't have it checked out. I've fixed that and checked in the updated classpath
Dreaming of a 1.3 release

Phergus
Deity
Posts: 7132
Joined: Fri May 12, 2006 8:56 pm
Location: Middle of Nowhere, NM
Contact:

Post by Phergus »

Interesting. I deleted the user lib I had added which obviously also forced a rebuild as now it works without it.

That's good to know.

Post Reply

Return to “Developer Notes”